/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _LBS_MAPS_MAP_VIEW_H_
#define _LBS_MAPS_MAP_VIEW_H_

#include "revgeocode.h"
#include "place.h"
#include "route.h"

#define MAIN_VIEW_EDJ_FILE "edje/main_view.edj"

#if 0 // Seoul
#define DEFAULT_LAT		37.466548
#define DEFAULT_LON		127.022782
#else
// New Delhi
//#define DEFAULT_LAT		28.636393
//#define DEFAULT_LON		77.224445
// Bengaluru
#define DEFAULT_LAT		12.971940
#define DEFAULT_LON		77.593690
#endif

void remove_all_map_objects();
void create_address_button(appdata_s *ad);
void init_view(appdata_s *ad);
void create_main_view(void *data, Evas_Object *obj, void *event_info);

#endif
