/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __LBS_MAPS_UTIL_H__
#define __LBS_MAPS_UTIL_H__

#include "$(appName).h"

#define POI_MARKER_IMAGE        "images/location_01_ic.png"
#define CUR_POI_MARKER_IMAGE    "images/location_02_ic.png"

void app_get_resource(const char *edj_file_in, char *edj_path_out, int edj_path_max);
Evas_Object* create_editfield(Evas_Object *parent);
Evas_Object* create_nocontent_layout(Evas_Object* parent, const char* text, const char* help_text);
void sort_quick_places(place_info_s *places[], int left, int right);
void remove_all_pois(appdata_s *ad);
void request_user_consent(void *data);
void destroy_maps_handle(appdata_s *ad);
void add_marker(maps_view_h view, place_info_s *place, bool selected);
void update_poi_markers(appdata_s *ad, int current_poi);

#endif
